com.amazonaws.services.simpleworkflow.model

## Class DecisionTaskScheduledEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.DecisionTaskScheduledEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class DecisionTaskScheduledEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details about the `DecisionTaskScheduled` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DecisionTaskScheduledEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DecisionTaskScheduledEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getStartToCloseTimeout()` The maximum duration for this decision task.
`TaskList` `getTaskList()` The name of the task list in which the decision task was scheduled.
`String` `getTaskPriority()` Optional. A task priority that, if set, specifies the priority for this decision task.
`int` `hashCode()`
`void` `setStartToCloseTimeout(String startToCloseTimeout)` The maximum duration for this decision task.
`void` `setTaskList(TaskList taskList)` The name of the task list in which the decision task was scheduled.
`void` `setTaskPriority(String taskPriority)` Optional. A task priority that, if set, specifies the priority for this decision task.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DecisionTaskScheduledEventAttributes` `withStartToCloseTimeout(String startToCloseTimeout)` The maximum duration for this decision task.
`DecisionTaskScheduledEventAttributes` `withTaskList(TaskList taskList)` The name of the task list in which the decision task was scheduled.
`DecisionTaskScheduledEventAttributes` `withTaskPriority(String taskPriority)` Optional. A task priority that, if set, specifies the priority for this decision task.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DecisionTaskScheduledEventAttributes

    public DecisionTaskScheduledEventAttributes()

### Method Detail

#### setTaskList

    public void setTaskList(TaskList taskList)

The name of the task list in which the decision task was scheduled.

Parameters:
  `taskList` - The name of the task list in which the decision task was scheduled.

#### getTaskList

    public TaskList getTaskList()

The name of the task list in which the decision task was scheduled.

Returns:
  The name of the task list in which the decision task was scheduled.

#### withTaskList

    public DecisionTaskScheduledEventAttributes withTaskList(TaskList taskList)

The name of the task list in which the decision task was scheduled.

Parameters:
  `taskList` - The name of the task list in which the decision task was scheduled.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTaskPriority

    public void setTaskPriority(String taskPriority)

Optional. A task priority that, if set, specifies the priority for this decision task. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

Parameters:
  `taskPriority` - Optional. A task priority that, if set, specifies the priority for this decision task. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

  For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide

#### getTaskPriority

    public String getTaskPriority()

Optional. A task priority that, if set, specifies the priority for this decision task. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

Returns:
  Optional. A task priority that, if set, specifies the priority for this decision task. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

  For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide

#### withTaskPriority

    public DecisionTaskScheduledEventAttributes withTaskPriority(String taskPriority)

Optional. A task priority that, if set, specifies the priority for this decision task. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

Parameters:
  `taskPriority` - Optional. A task priority that, if set, specifies the priority for this decision task. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

  For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartToCloseTimeout

    public void setStartToCloseTimeout(String startToCloseTimeout)

The maximum duration for this decision task. The task is considered timed out if it does not completed within this duration.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `startToCloseTimeout` - The maximum duration for this decision task. The task is considered timed out if it does not completed within this duration.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

#### getStartToCloseTimeout

    public String getStartToCloseTimeout()

The maximum duration for this decision task. The task is considered timed out if it does not completed within this duration.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  The maximum duration for this decision task. The task is considered timed out if it does not completed within this duration.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

#### withStartToCloseTimeout

    public DecisionTaskScheduledEventAttributes withStartToCloseTimeout(String startToCloseTimeout)

The maximum duration for this decision task. The task is considered timed out if it does not completed within this duration.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `startToCloseTimeout` - The maximum duration for this decision task. The task is considered timed out if it does not completed within this duration.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DecisionTaskScheduledEventAttributes clone()

Overrides:
  `clone` in class `Object`